// creator  : weidu.exe (version 23100)
// argument : BDGOPH01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BDGOPH01~

IF ~Global("BardPlot1","GLOBAL",0)
Global("Meck0","LOCALS",0)
~ THEN BEGIN 0 // from:
  SAY #40948 /* ~Oh... yer that <CHARNAME> that I'm supposed to find, right?  Ye matches the description an' everything... ye ARE <CHARNAME>, aye?~ */
  IF ~~ THEN DO ~SetGlobal("Meck0","LOCALS",1)~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #40949 /* ~Anyway... I's Meck, an' I work fer Higgold.  An' you, too, I guess.  Higgold sent me to find ye... he says that he's got everyone together at the playhouse, if ye want t' drop by an' see.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #40950 /* ~Higgold says don't take too long.  Or take all year, if ye likes, but the playhouse won't make any coin if ye does that.  Anyway... I's told ye, an' now I's done.~ */
  IF ~~ THEN DO ~EscapeArea()~ UNSOLVED_JOURNAL #10124 /* ~Running the Five Flagons Playhouse

Higgold has sent someone to fetch me.  I suppose that he has gathered all his actors together at the playhouse and I should go take a look at them when I have time.  According to the gopher boy, Higgold won't start production until I see them.~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",4)
Global("Meck1","LOCALS",0)~ THEN BEGIN 3 // from:
  SAY #41659 /* ~Patron!  <PRO_LADYLORD> patron!  Master Higgold says that you are to come right away t' see him.  Some bloody important business or other, I'm sure.~ */
  IF ~~ THEN DO ~SetGlobal("Meck1","LOCALS",1)
SetGlobalTimer("MeetHiggin1","GLOBAL",THREE_DAYS)
Wait(1)
EscapeArea()~ UNSOLVED_JOURNAL #10004 /* ~Running the Five Flagons Playhouse

Meck has come to fetch me already, saying that there is something going on at the playhouse which requires my attention.~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",7)
Global("Meck2","LOCALS",0)~ THEN BEGIN 4 // from:
  SAY #41660 /* ~Ho, patron!  Master Higgold says to come right away!  He's got some bloody problem with one of thar actors or somesuch.  Har!  He's so red in th' face I kin hardly stand it!~ */
  IF ~~ THEN DO ~SetGlobal("Meck2","LOCALS",1)
SetGlobalTimer("MeetHiggin2a","GLOBAL",THREE_DAYS)
Wait(1)
EscapeArea()~ UNSOLVED_JOURNAL #7040 /* ~Running the Five Flagons Playhouse

Once again, Meck has come to fetch me.  It seems that Higgold is in some kind of fit over one of the actors.  When I get a chance, I should go and see what the problem is.~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",10)
Global("Meck3","LOCALS",0)~ THEN BEGIN 5 // from:
  SAY #41661 /* ~Patron!  Master Higgold says he needs you again!  Says t' come quick.~ */
  IF ~~ THEN DO ~SetGlobal("Meck3","LOCALS",1)
SetGlobalTimer("MeetHiggin3a","GLOBAL",THREE_DAYS)
Wait(1)
EscapeArea()~ UNSOLVED_JOURNAL #16329 /* ~Running the Five Flagons Playhouse

Yet again Meck has come to tell me of a problem that needs dealing with in the playhouse.  Hmmmn... the play isn't exactly being crushed under these problems, but they've been pretty consistent so far...~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",13)
Global("Meck4","LOCALS",0)~ THEN BEGIN 6 // from:
  SAY #41662 /* ~My <PRO_LADYLORD> patron!  There's... there's strange things goin' on in the playhouse!  Oy'm bloody scared t' sleep there, now... Master Higgold says come quick!~ */
  IF ~~ THEN DO ~SetGlobal("Meck4","LOCALS",1)
SetGlobalTimer("MeetHiggin4a","GLOBAL",THREE_DAYS)
Wait(1)
EscapeArea()~ UNSOLVED_JOURNAL #16572 /* ~Running the Five Flagons Playhouse

Meck appeared, telling me that I am needed at the playhouse.  Something about 'strange happenings' and even Meck being scared.  Perhaps this has something to do with this curse that Zaren mentioned?  If I want to see, I'll have to go there soon.~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",17)
Global("Meck5","LOCALS",0)~ THEN BEGIN 7 // from:
  SAY #41663 /* ~Patron!  Master Higgold says he needs t' speak wi' you.  Some problem or other with th' bloody music.  Just gets yourself a lute's wot I says...~ */
  IF ~~ THEN DO ~SetGlobal("Meck5","LOCALS",1)
SetGlobalTimer("MeetHiggin5a","GLOBAL",THREE_DAYS)
Wait(1)
EscapeArea()~ UNSOLVED_JOURNAL #16571 /* ~Running the Five Flagons Playhouse

Meck has appeared, mentioning that there is some problem with the music that needs my attention.  Gods!  Can Higgold handle *nothing* by himself?~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",40)
Global("Meck6","LOCALS",0)~ THEN BEGIN 8 // from:
  SAY #41664 /* ~Patron!  Patron!  There's... there's barbarians or somethin'!  Taken over the playhouse, they have!  You've... you've got to come quick!  Master Higgold is in a tiz!~ */
  IF ~~ THEN DO ~SetGlobal("Meck6","LOCALS",1)
SetGlobalTimer("MeetHiggin6a","GLOBAL",THREE_DAYS)
Wait(1)
EscapeArea()~ UNSOLVED_JOURNAL #16573 /* ~Running the Five Flagons Playhouse

Now *this* is interesting.  Meck found me once again, this time saying that barbarians had taken over the playhouse!  Higgold sent for me immediately... probably for the best, as well.  I suppose the town guard could handle it, but maybe I should go and see what's going on personally.~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",45)
Global("MeckDress","LOCALS",0)~ THEN BEGIN 9 // from:
  SAY #41665 /* ~There you are, my <PRO_LADYLORD> patron.  Hmph.  Master Higgold says th' bloody rehearsal for dresses or somethin' is ready.  He an' the crew are waitin' for ye, now.~ */
  IF ~~ THEN DO ~SetGlobal("MeckDress","LOCALS",1)
EscapeArea()~ UNSOLVED_JOURNAL #16570 /* ~Running the Five Flagons Playhouse

Meck came to tell me that Higgold has the dress rehearsal ready for me to view at the playhouse.  If I am ever going to see what he's been planning all this time, now is the time to see it.  Besides... Higgold won't put the play on until I take a look at it, first.  I am the patron, after all.~ */ EXIT
END

IF ~Global("BardPlot1","GLOBAL",51)
Global("MeckOpen","LOCALS",0)~ THEN BEGIN 10 // from:
  SAY #41666 /* ~Ahhhh!  Patron, patron!  <pant!>  I found you!  <pant!>  Master Higgold... he says... come quick!  Quick!  It's... <pant!> ... some opening night emergency!  <pant!>~ */
  IF ~~ THEN DO ~SetGlobal("MeckOpen","LOCALS",1)
EscapeArea()~ UNSOLVED_JOURNAL #5775 /* ~Running the Five Flagons Playhouse

Well of *course* there would be an emergency on opening night.  Meck said I should come as soon as possible, although I doubt Higgold would go ahead and hold the play without me.  I suppose I should go as quickly as I can, though.~ */ EXIT
END
